
<?php
/*
  power by JASON.ZHANG  DM建站  www.demososo.com
*/
if(!defined('IN_DEMOSOSO')) {
  exit('this is wrong page,please back to homepage');
}
//----------
//$sqlalbum = "SELECT id from ".TABLE_ALBUM." where pid='$pidname' $andlangbh order by id desc";//$pidname is in pro-modnews.php
//$num_album = '有 <span class="cred">'.getnum($sqlalbum).'</span>个';
/*
$sqltab = "SELECT id from ".TABLE_BLOCK." where pid='$pidname' and type='tab' and typefrom='node' $andlangbh order by id desc";
$num_tab = '有 <span class="cred">'.getnum($sqltab).'</span>个';

$sqlaccord = "SELECT id from ".TABLE_BLOCK." where pid='$pidname' and type='accord' and typefrom='node' $andlangbh order by id desc";
$num_accord = '有 <span class="cred">'.getnum($sqlaccord).'</span>个';
*/
$sqlimgfj = "SELECT id from ".TABLE_IMGFJ."  where pid='$pidname' $andlangbh order by id desc";
$num_imgfj = '有 <span class="cred">'.getnum($sqlimgfj).'</span>个';


?>
<div class="contenttoptop por">

<div class="fr nodeeditrgtop">
<?php 
echo admlink($row);?>
</div>

<div class="menutab">
<?php

 $editcan_cur=  $edittag_cur=  $editdesp_cur= $editprocan_cur=$editotherinfo_cur= $editcate_cur=$editcate2_cur=$editalbum_cur='';
 $edittab1_cur=$edittab2_cur= $edittab3_cur='';

if($file=="editdesp")   $editdesp_cur=' active';
elseif($file=="editcan")   $editcan_cur=' active';
elseif($file=="edittag")   $edittag_cur=' active';
elseif($file=="editcate")   $editcate_cur=' active';
elseif($file=="editcatemulti")   $editcate2_cur=' active'; //2 is multi cate.
elseif($file=="nodetab1")   $edittab1_cur=' active';
elseif($file=="nodetab2")   $edittab2_cur=' active';
elseif($file=="nodetab3")   $edittab3_cur=' active';
elseif($file=="nodeprocan")   $editprocan_cur=' active';
 

echo '<a class="bg22'.$editdesp_cur.'" href="'.$jumpv.'&act=list&file=editdesp"><span>修改内容</span></a>';



echo '<a class="bg22'.$editcan_cur.'" href="'.$jumpv.'&act=edit&file=editcan"><span>修改参数</span></a>';
//editnodetid is in mod_node_edit.php
$editcate = 'mod_node_pop.php?lang='.LANG.'&file=editcate&catpid='.$catpid.'&tid='.$editnodetid;
echo '<a class=" needpopup" href="'.$editcate.'"><span>修改分类</span></a>';
 
//------------------
$nodereldir = HERE_ROOT.'mod_node/mod_nodelangrel.php'; 
 
 $sqllang222 = "SELECT * from ".TABLE_LANG." where procatpid='$catpid_langrel'";   
 

//if(is_file($nodereldir) && ENABLEMULTISITE=='y' && getnum($sqllang222)>0) echo '<a class="needpopup" href="mod_nodelangrel.php?pid='.$curnodepidname.'&lang='.LANG.'"><span>语言关联</span></a>';



 echo '<a class="bg22'.$edittab1_cur.'" href="'.$jumpv.'&file=nodetab1"><span class="other">内容tab1</span></a>';
 echo '<a class="bg22'.$edittab2_cur.'" href="'.$jumpv.'&file=nodetab2"><span class="other">内容tab2</span></a>';
 echo '<a class="bg22'.$edittab3_cur.'" href="'.$jumpv.'&file=nodetab3"><span class="other">内容tab3</span></a>';
 echo '<a class="bg22'.$editprocan_cur.'" href="'.$jumpv.'&file=nodeprocan"><span class="other">产品参数</span></a>';

 
?>


</div>
<?php
if($file=='editdesp' ||  $file=='editprocan' || $file == 'nodetab1' || $file == 'nodetab2' || $file == 'nodetab3' || $file == 'nodeprocan'){
  $jump_imgfj='../mod_imgfj/mod_imgfj.php?pid='.$pidname.'&lang='.LANG;

 
  $numalbum = num_subnode(TABLE_ALBUM,'pid',$pidname);
  $numvideo = num_subnode(TABLE_VIDEO,'pid',$pidname);
  $nummusic = num_subnode(TABLE_MUSIC,'pid',$pidname);
  ?>
<div class="" style="margin:0px;padding:6px;border:0px solid blue">
 <a href="<?php echo $jump_imgfj; ?>"  class="needpopup">私有编辑器附件管理(<?php echo num_imgfj($pidname);?>)  </a>
  或  <?php echo $text_imgfjlink_bjq ?>
  |
 
  <a target="_blank" href="../mod_album/mod_mainalbum.php?lang=<?php echo LANG?>&pid=<?php echo $pidname?>">相册(<span class="cred"><?php echo $numalbum;?></span>)</a>
   |   <a target="_blank" href="../mod_video/mod_video.php?lang=<?php echo LANG?>&pid=<?php echo $pidname?>">视频(<span class="cred"><?php echo $numvideo;?></span>)</a>

   | <a target="_blank" href="../mod_music/mod_mainmusic.php?lang=<?php echo LANG?>&pid=<?php echo $pidname?>">音乐(<span class="cred"><?php echo $nummusic;?></span>)</a>

 </div>
<?php
}
?>


</div>

 